﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ObservablecollectionProjekt
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<Person> personer;
        public MainWindow()
        {
            InitializeComponent();
            personer = new ObservableCollection<Person>
            {
                {new Person() {Name="Mahmud Al Hakim" } }
            };
            DataContext = personer;
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            personer.Add(new Person() { Name = txtName.Text });
            txtName.Text = string.Empty;
        }

        private void txtName_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
                btnAdd_Click(sender, e);

        }
    }
}
