﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EmployeeProjekt
{
    class Employee : BindableBase
    {
        // OBS!
        // Automatiska egenskaper funkar inte vid notifieringar
        // Vi behöver notifiera PropertyChanged vid varje förändring!
        //public string Name { get; set; }
        //public string Email { get; set; }

        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                NotifyPropertyChanged("Name");  // Här notiferar vi 

            }
        }

        private string _email;
        public string Email
        {
            get { return _email; }
            set
            {
                _email = value;
                NotifyPropertyChanged("Email");  // Här notiferar vi 

            }
        }

        //public static Employee GetEmployee()
        //{
        //    var emp = new Employee()
        //    {
        //        Name = "Mahmud Al Hakim",
        //        Email = "mahmud@alhakim.se"
        //    };

        //    return emp;
        //}
    }
}
